Chat now with support
Chat with Support

Quick Connect Sync Engine 5.5 - Release Notes

Known issues

Release Notes > Known issues

The following issues exist at the time of release.

Table 2: General known issues
Known Issue Issue ID
One Identity Manger connector (Q1IM 6.x version) is not loading in the sync engine version 5.5 712692

System requirements

Release Notes > System requirements

Before installing One Identity Quick Connect Sync Engine 5.5.0, ensure that your system meets the following minimum hardware and software requirements.

Quick Connect Sync Engine

Release Notes > System requirements > Quick Connect Sync Engine

One Identity Quick Connect Sync Engine

 

Table 3: One Identity Quick Connect Sync Engine

Requirement

Details

Processor

1 GHz or faster, x32 and x64 architecture is supported.

Memory

512 MB of RAM; 1 GB or more recommended.

Hard disk space

250 MB or more of free disk space.

Operating system

You computer must run one of the following operating systems with or without any Service Pack (both x86 and x64 platforms are supported):

  • Microsoft Windows Server 2016
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Server 2008
  • Microsoft Windows Server 2003 R2
  • Microsoft Windows Server 2003

Microsoft SQL Server

One of the following versions is required (32- or 64-bit edition, with or without any Service Pack):

  • Microsoft SQL Server 2016
  • Microsoft SQL Server 2014 (Enterprise, Business Intelligence, Standard, Web, or Express Edition)
  • Microsoft SQL Server 2012 (Enterprise, Business Intelligence, Standard, Web, or Express Edition)
  • Microsoft SQL Server 2008 R2 (Datacenter, Enterprise, Standard, Workgroup, Web, or Express Edition)
  • Microsoft SQL Server 2008 (Enterprise, Standard, Workgroup, or Express Edition)
  • Microsoft SQL Server 2005 (Enterprise, Standard, Workgroup, or Express Edition)
  • Quick Connect Sync Engine supports failover clustering for the above-listed Microsoft SQL Server versions.

Microsoft .NET Framework

Microsoft .NET Framework 4.0

Windows PowerShell

Windows PowerShell 4.0, 3.0, 2.0, or 1.0

Quick Connect Capture Agent

To synchronize passwords from an Active Directory domain to some other connected data system, you must install Quick Connect Capture Agent on all domain controllers in the source Active Directory domain.

For more information, see the One Identity Quick Connect Sync Engine Administrator Guide.

Quest ActiveRoles Server ADSI Provider

If you want to synchronize identities between Quest ActiveRoles Server and other connected systems, make sure that the Quick Connect Sync Engine computer has one of the following ActiveRoles Server ADSI Provider versions installed:

  • 7.2
  • 7.1
  • 7.0
  • 6.9
  • 6.8
  • 6.7

Quest One Identity Manager DLLs

To connect to Quest One Identity Manager, Quick Connect Sync Engine requires some Dynamic Link Library (DLL) files supplied with Identity Manager. Before creating a connection to Identity Manager make sure that Quick Connect Sync Engine can access these DLL files.

For more information, see the One Identity Quick Connect Sync Engine Administrator Guide.

Federal Information Processing Standard (FIPS) algorithms

Quick Connect Sync Engine operates with support for Federal Information Processing Standard (FIPS) algorithms if the Windows operating system is configured to use the FIPS algorithms for system cryptography.

Quick Connect Capture Agent

Release Notes > System requirements > Quick Connect Capture Agent

 

Table 4: Quick Connect Capture Agent

Requirement

Details

Microsoft .NET Framework

Microsoft .NET Framework 4.0

Additional Requirements

To synchronize passwords from an Active Directory domain to some other connected data system, you must install the Quick Connect Capture Agent on all domain controllers in the source Active Directory domain.

The domain controllers on which you install Quick Connect Capture Agent must run one of the following operating systems with or without any Service Pack (both x86 and x64 platforms are supported):

  • Microsoft Windows Server 2016
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Server 2008
  • Microsoft Windows Server 2003 R2
  • Microsoft Windows Server 2003

For more information, see the One Identity Quick Connect Sync Engine Administrator Guide.

Related Documents